<?php
$livello="../";
$elenco_auth = array('super_biblio');
include($livello."includes/auth.php");
?>
<?php 
    $_SESSION['section']="Biblioteca scolastica";
    include($livello."struct/open.php");
    include($livello."includes/function.php");
    include($livello."includes/formdata.php");
    include($livello."includes/jalfa_pass.php");
    include($livello."includes/ini.php");  
?>
<?php 
    include ($livello.'struct/menu_main.php');
?>
<h1><?php echo $_SESSION["section"];?></h1>
<div class="row">
<div class="col-12"> 
 <h3>Scansione automatica nuovi libri</h3>
 <?php 
        $sql0 = "SELECT google_books_api_key FROM generalinfo";
        $ris0 = mysqli_query($conn,$sql0) or die(mysqli_error());
        $rec = mysqli_fetch_array($ris0);
        $api_key = $rec["google_books_api_key"];
    ?>
<?php 
if($_SERVER["REQUEST_METHOD"]=="POST"){
    //print_r($_POST);
    $isbn = $_POST["documentID"];
    include ("../includes/snoopy/Snoopy.class.php");
    $url = 'https://www.googleapis.com/books/v1/volumes?q=isbn:'.$isbn.'&key='.$api_key;
    $snoopy = new Snoopy;
    $snoopy->fetchtext($url);
    $data =  $snoopy->results;
    $libro = json_decode($data, true);
   // print_r($libro);
    echo '
<form name="google" action="new_book.php" method="post">
    	<div class="form-group row" >
    		<label for="titolo" class="col-sm-4 col-form-label" >Titolo</label>
    		<div class="col-sm-6">
         		<input id="titolo" name="titolo" type="text" value="'.$libro["items"][0]["volumeInfo"]["title"].'" required>
			</div>
		</div> 
        <div class="form-group row" >
    		<label for="titolo" class="col-sm-4 col-form-label" >Sottotitolo</label>
    		<div class="col-sm-6">
         		<input id="sottotitolo" name="sottotitolo" type="text" value="';
        if(isset($libro["items"][0]["volumeInfo"]["subtitle"])) echo $libro["items"][0]["volumeInfo"]["subtitle"];
        echo '">
			</div>
		</div> 
        <div class="form-group row" >
    		<label for="autore" class="col-sm-4 col-form-label" >Autore/i*</label>
    		<div class="col-sm-6">
         		<input id="autore" name="autore" type="text" value="';
    foreach($libro["items"][0]["volumeInfo"]["authors"] as $key=>$value) echo $value;
         		echo '" required>
			</div>
		</div> 
        <div class="form-group row" >
    		<label for="editore" class="col-sm-4 col-form-label" >Editore</label>
    		<div class="col-sm-6">
         		<input id="editore" name="editore" type="text" value="';
         		if(isset($libro["items"][0]["volumeInfo"]["publisher"])) echo $libro["items"][0]["volumeInfo"]["publisher"];
         		echo '" required>
			</div>
		</div> 
        <div class="form-group row" >
    		<label for="anno" class="col-sm-4 col-form-label" >Anno di pubblicazione</label>
    		<div class="col-sm-6">
         		<input id="anno" name="anno" type="text" value="'.$libro["items"][0]["volumeInfo"]["publishedDate"].'">
			</div>
		</div>
        <div class="form-group row" >
    		<label for="pagine" class="col-sm-4 col-form-label" >Pagine</label>
    		<div class="col-sm-6">
         		<input id="pagine" name="pagine" type="text" value="'.$libro["items"][0]["volumeInfo"]["pageCount"].'">
			</div>
		</div>
        <div class="form-group row" >
    		<label for="isbn_13" class="col-sm-4 col-form-label" >ISBN</label>
    		<div class="col-sm-6">
         		<input id="isbn_13" name="isbn_13" type="text" value="'.$libro["items"][0]["volumeInfo"]["industryIdentifiers"][1]["identifier"].'">
			</div>
		</div>
        <div class="form-group row" >
            <label for="codice" class="col-sm-4 col-form-label" >codice </label>
                <div class="col-sm-6">
                    <input type="text" name="codice" id="codice" value=""  >
                </div>
             </div>
        <div class="form-group row" >
            <label for="keywords" class="col-sm-4 col-form-label" >Parole chiave</label>
                <div class="col-sm-4">
                    <textarea rows="5" name="keywords" >';
         		$i=0;
         		foreach($libro["items"][0]["volumeInfo"]["categories"] as $key=>$value){
         		    if($i>0)echo ',';
         		    echo $value;
         		    $i++;
         		}
                echo '</textarea>
                </div>
             </div>
        <div class="form-group row" >
            <label for="id_collocazioni_libri" class="col-sm-4 col-form-label" >Collocazione</label>
            <div class="col-sm-4">
                <select name="id_collocazioni_libri"  required >';
                $sql = "SELECT * FROM collocazioni_libri ORDER BY collocazione";
                $ris = mysqli_query($conn,$sql) or dies($conn);
                while($row = mysqli_fetch_array($ris)){
                    echo '<option value="'.$row["id_collocazioni_libri"].'">'.$row["collocazione"].'</option>';
                }
                echo'</select>
                </div>
        </div>
        <div class="form-group row" >
            <label for="thumbnail" class="col-sm-4 col-form-label" >Copertina </label>
                <div class="col-sm-4">
                    <input type="text" name="thumbnail" id="thumbnail" value="'.$libro["items"][0]["volumeInfo"]["imageLinks"]["thumbnail"].'">
                </div>
                <div class="col-sm-2">
                 <img src="'.$libro["items"][0]["volumeInfo"]["imageLinks"]["thumbnail"].'">   
                </div>
             </div>

		<div class="form-group row">
        	<div class="col-sm-10">
      			<button type="submit" class="btn btn-primary">Salva le modifiche</button>
    		</div>
  		</div> 
    </form>
';
}
else{
    echo '<div class="card">
    <div class="form-title">Scansiona barcode o digita l&#39;ISBN</div>
     <div class="card-text" style="text-align:right;margin-bottom:2em;">Per utilizzare questa funzionalit&agrave; occorre prima aver inserito una Google Books Api Key valida</div>

    <div class="card-body">
    <form action="scan_barcode.php" method="post">
<input type="text" name="documentID" onmouseover="this.focus();" />
</form>
    </div>
    </div>';
}
?> 


</div>
</div>
<?php include($livello."struct/close.php"); ?>
